import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font;

/**
 * Write a description of class Scoreboard here.
 * @version 1.1
 */
public class Scoreboard extends Actor
{
    public int total=0;
    public int points=0;
    
    public Scoreboard()
    {
        total+=points;
        GreenfootImage image = getImage();
        image.clear();
        image.scale(180,150);
        image.setFont(new Font("Ariel", Font.BOLD, 25));
        image.setColor(Color.RED);
        image.drawString("Score: " + total, 1, 40);
        setImage(image);
    }
    
    /**
     * Ends the game when the score is high enough.
     */
    public void act()
    {
        if (total >= 25)
        {
            Greenfoot.playSound("tada.wav");
            Greenfoot.stop();
        }
    }
    
    /**
     * Updates the display when points are added.
     */
    public void updateScoreboard(int points)
    {
        total+=points;
        GreenfootImage image = getImage();
        image.clear();
        image.scale(180,150);
        image.setFont(new Font("Ariel", Font.BOLD, 25));
        image.setColor(Color.RED);
        image.drawString("Score: " + total, 1, 40);
        setImage(image);
    }    
}
